<html>
<head>
<title>Ogre::SceneManager::LightClippingInfo Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html">LightClippingInfo</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SceneManager::LightClippingInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SceneManager::LightClippingInfo" -->
<p>Struct for cacheing light clipping information for re-use in a frame.  
 <a href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>&gt;</code></p>

<p><a href="structOgre_1_1SceneManager_1_1LightClippingInfo-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#a3536fecfda1c7fba7da161ffa31548f0">LightClippingInfo</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga3e1c672c1d342ffb4f122f44e342bc90">RealRect</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#af8f17f896d1ba3dbc68db364dd5a3800">scissorRect</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Math.html#gae00d718daa48567f6c010aad9d6dd92c">PlaneList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#a9cd958173f3b5d369ee2cea4999b97e9">clipPlanes</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#a2f9ac7326f8a1e75503a3c58b94956cf">scissorValid</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#af79e041ad0e59063a02b4086546c73c9">clipPlanesValid</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Struct for cacheing light clipping information for re-use in a frame. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00751">751</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3536fecfda1c7fba7da161ffa31548f0"></a><!-- doxytag: member="Ogre::SceneManager::LightClippingInfo::LightClippingInfo" ref="a3536fecfda1c7fba7da161ffa31548f0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#a3536fecfda1c7fba7da161ffa31548f0">Ogre::SceneManager::LightClippingInfo::LightClippingInfo</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00757">757</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a9cd958173f3b5d369ee2cea4999b97e9"></a><!-- doxytag: member="Ogre::SceneManager::LightClippingInfo::clipPlanes" ref="a9cd958173f3b5d369ee2cea4999b97e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Math.html#gae00d718daa48567f6c010aad9d6dd92c">PlaneList</a> <a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#a9cd958173f3b5d369ee2cea4999b97e9">Ogre::SceneManager::LightClippingInfo::clipPlanes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00754">754</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="af79e041ad0e59063a02b4086546c73c9"></a><!-- doxytag: member="Ogre::SceneManager::LightClippingInfo::clipPlanesValid" ref="af79e041ad0e59063a02b4086546c73c9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#af79e041ad0e59063a02b4086546c73c9">Ogre::SceneManager::LightClippingInfo::clipPlanesValid</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00756">756</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="af8f17f896d1ba3dbc68db364dd5a3800"></a><!-- doxytag: member="Ogre::SceneManager::LightClippingInfo::scissorRect" ref="af8f17f896d1ba3dbc68db364dd5a3800" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga3e1c672c1d342ffb4f122f44e342bc90">RealRect</a> <a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#af8f17f896d1ba3dbc68db364dd5a3800">Ogre::SceneManager::LightClippingInfo::scissorRect</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00753">753</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2f9ac7326f8a1e75503a3c58b94956cf"></a><!-- doxytag: member="Ogre::SceneManager::LightClippingInfo::scissorValid" ref="a2f9ac7326f8a1e75503a3c58b94956cf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1SceneManager_1_1LightClippingInfo.html#a2f9ac7326f8a1e75503a3c58b94956cf">Ogre::SceneManager::LightClippingInfo::scissorValid</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00755">755</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:05
</p>
</body>
</html>
